org.eclnt.workplace

## Class WorkplaceUtil

- java.lang.Object
- - org.eclnt.workplace.WorkplaceUtil

-     public class WorkplaceUtil
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkplaceUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WorkpageStartInfo` | `decodeDroppedWorkpage(java.lang.String droppedString)` Decodes a dropped string that is containing a "workpage:" info.
    `static WorkpageStartInfo` | `decodeDroppedWorkpage(java.lang.String dragsendType, java.lang.String droppedString)` Decodes a dropped string that is containing a ":" info.
    `static WorkpageStartInfo` | `decodeWorkpageStartInfoFromCSV(java.lang.String csv)`
    `static java.lang.String` | `encodePageInfo(java.lang.String dragsendType, WorkpageStartInfo wpsi)` Encodes the WorkpageStartInfo instance into a complex-value-String-representation: ":".
    `static java.lang.String` | `encodePageInfo(WorkpageStartInfo wpsi)` Encodes the WorkpageStartInfo instance into a complex-value-String-representation: "workpage:".
    `static java.lang.String` | `encodeWorkpageStartInfoToCSV(WorkpageStartInfo wpsi)` Encodes the instance into a plain csv-String.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkplaceUtil

          public WorkplaceUtil()

  - ### Method Detail

    - #### decodeWorkpageStartInfoFromCSV

          public static WorkpageStartInfo decodeWorkpageStartInfoFromCSV(java.lang.String csv)

    - #### decodeDroppedWorkpage

          public static WorkpageStartInfo decodeDroppedWorkpage(java.lang.String dragsendType,
                                                                java.lang.String droppedString)

      Decodes a dropped string that is containing a ":" info.

    - #### decodeDroppedWorkpage

          public static WorkpageStartInfo decodeDroppedWorkpage(java.lang.String droppedString)

      Decodes a dropped string that is containing a "workpage:" info.

    - #### encodeWorkpageStartInfoToCSV

          public static java.lang.String encodeWorkpageStartInfoToCSV(WorkpageStartInfo wpsi)

      Encodes the instance into a plain csv-String.

    - #### encodePageInfo

          public static java.lang.String encodePageInfo(java.lang.String dragsendType,
                                                        WorkpageStartInfo wpsi)

      Encodes the WorkpageStartInfo instance into a complex-value-String-representation: ":". This representation is e.g. suitable for drag&drop scenarios.

    - #### encodePageInfo

          public static java.lang.String encodePageInfo(WorkpageStartInfo wpsi)

      Encodes the WorkpageStartInfo instance into a complex-value-String-representation: "workpage:". This representation is e.g. suitable for drag&drop scenarios.

Copyright © CaptainCasa Gmbh. All Rights Reserved.